POST api/ACM/SavePeerToPeer
Request Information
URI Parameters
None.
Body Parameters
CPWPeerToPeerDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| ClinicalPathwayId | integer |
None. |
|
| Id | integer |
None. |
|
| FacilityCode | string |
String length: inclusive between 0 and 20 |
|
| ReferralDate | date |
None. |
|
| ReferralTime | time interval |
None. |
|
| ReferralTimeZone | integer |
None. |
|
| Status | integer |
None. |
|
| FacilityDoctorId | integer |
None. |
|
| PToPPhysicianId | integer |
None. |
|
| PToPPhysicianNote | string |
String length: inclusive between 0 and 500 |
|
| OldPToPPhysicianId | integer |
None. |
|
| OldPToPPhysicianEmail | string |
String length: inclusive between 0 and 200 |
|
| FacilityDoctorName | string |
String length: inclusive between 0 and 100 |
|
| CaseNo | integer |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 12 |
|
| CPWPeerToPeerId | integer |
None. |
|
| ReferralTimeZoneAbbreviation | string |
String length: inclusive between 0 and 150 |
|
| FacilityName | string |
String length: inclusive between 0 and 100 |
|
| PToPPhysicianName | string |
String length: inclusive between 0 and 50 |
|
| P2PStatus | integer |
None. |
|
| UserEmailId | string |
String length: inclusive between 0 and 200 |
|
| MessageQueueId | integer |
None. |
|
| Longitude | decimal number |
None. |
|
| Latitude | decimal number |
None. |
|
| PhysicianEmail | string |
String length: inclusive between 0 and 150 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"ClinicalPathwayId": 1,
"Id": 2,
"FacilityCode": "sample string 3",
"ReferralDate": "2026-08-04T14:25:59.5669974-07:00",
"ReferralTime": "00:00:00.1234567",
"ReferralTimeZone": 1,
"Status": 1,
"FacilityDoctorId": 1,
"PToPPhysicianId": 1,
"PToPPhysicianNote": "sample string 4",
"OldPToPPhysicianId": 1,
"OldPToPPhysicianEmail": "sample string 5",
"FacilityDoctorName": "sample string 6",
"CaseNo": 7,
"EmployeeId": "sample string 8",
"CPWPeerToPeerId": 1,
"ReferralTimeZoneAbbreviation": "sample string 9",
"FacilityName": "sample string 10",
"PToPPhysicianName": "sample string 11",
"P2PStatus": 1,
"UserEmailId": "sample string 12",
"MessageQueueId": 1,
"Longitude": 1.1,
"Latitude": 1.1,
"PhysicianEmail": "sample string 13",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:59.5669974-07:00",
"DateUpdated": "2026-08-04T14:25:59.5669974-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCPWPeerToPeerDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CPWPeerToPeerDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"ClinicalPathwayId": 1,
"Id": 2,
"FacilityCode": "sample string 3",
"ReferralDate": "2026-08-04T14:25:59.5826204-07:00",
"ReferralTime": "00:00:00.1234567",
"ReferralTimeZone": 1,
"Status": 1,
"FacilityDoctorId": 1,
"PToPPhysicianId": 1,
"PToPPhysicianNote": "sample string 4",
"OldPToPPhysicianId": 1,
"OldPToPPhysicianEmail": "sample string 5",
"FacilityDoctorName": "sample string 6",
"CaseNo": 7,
"EmployeeId": "sample string 8",
"CPWPeerToPeerId": 1,
"ReferralTimeZoneAbbreviation": "sample string 9",
"FacilityName": "sample string 10",
"PToPPhysicianName": "sample string 11",
"P2PStatus": 1,
"UserEmailId": "sample string 12",
"MessageQueueId": 1,
"Longitude": 1.1,
"Latitude": 1.1,
"PhysicianEmail": "sample string 13",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:59.5826204-07:00",
"DateUpdated": "2026-08-04T14:25:59.5826204-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
},
"totalCount": 3
}